summaryrefslogtreecommitdiff
path: root/tests/install/trap
diff options
context:
space:
mode:
Diffstat (limited to 'tests/install/trap')
-rwxr-xr-xtests/install/trap8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/install/trap b/tests/install/trap
index 70f6767e4..3ebaafff3 100755
--- a/tests/install/trap
+++ b/tests/install/trap
@@ -2,7 +2,7 @@
# Ensure that `install -s' doesn't infloop when its parent
# process traps CHLD signal.
-# Copyright (C) 2004, 2005 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2005, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -26,7 +26,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
@@ -43,10 +43,10 @@ fail=0
# Use a subshell and an exec to work around a bug in FreeBSD 5.0 /bin/sh.
(
# ash doesn't support "trap '' CHLD"; it knows only signal numbers.
- sig=`$pwd/../../src/kill -l CHLD 2>/dev/null` && trap '' $sig
+ sig=`"$pwd"/../../src/kill -l CHLD 2>/dev/null` && trap '' $sig
# Before 2004-04-21, install would infloop, in the `while (wait...' loop:
- exec ginstall -s $pwd/../../src/ginstall$EXEEXT .
+ exec ginstall -s "$pwd"/../../src/ginstall$EXEEXT .
)
(exit $fail); exit $fail